← All models
Chat
Vision Streaming Codex
Variant
Cost2,160 in / 12,960 out per 1M
Minimum planBasic
Context window1,048,576
Max output65,536
Uptime (7d)85.8%
Latency2917 ms
Throughput3.4 tps
Latency
your local time
Use this model
Base URL
https://api.literouter.com/v1
Model
gemini-3.5-flash:payg
API key
your LiteRouter API key
Using SillyTavern, Janitor AI, or Chub? See the setup guides.
bash
curl https://api.literouter.com/v1/chat/completions \
-H "Authorization: Bearer $LITEROUTER_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "gemini-3.5-flash:payg",
"messages": [{ "role": "user", "content": "Hello!" }]
}'
Add the provider to ~/.codex/config.toml, export your key, then run codex. Full steps: Codex CLI.
toml
# ~/.codex/config.toml
model = "gemini-3.5-flash:payg"
model_provider = "literouter"
[model_providers.literouter]
base_url = "https://api.literouter.com/v1"
env_key = "LITEROUTER_API_KEY"
wire_api = "responses"
bash
export LITEROUTER_API_KEY="your_literouter_api_key"